/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 创建生活缴费电费订单 POST /api/LifePay/CreateLifePayElectricOrder */
export async function createLifePayElectricOrder(
  body: API.LifeElectricDataCreateLifePayOrderInput,
  options?: API.RequestConfig
) {
  return request<API.CreateLifePayOrderOutput>('/api/LifePay/CreateLifePayElectricOrder', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 创建生活缴费话费订单 POST /api/LifePay/CreateLifePayPhoneOrder */
export async function createLifePayPhoneOrder(
  body: API.LifePhoneDataCreateLifePayOrderInput,
  options?: API.RequestConfig
) {
  return request<API.CreateLifePayOrderOutput>('/api/LifePay/CreateLifePayPhoneOrder', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取电费面值 GET /api/LifePay/GetElectricParValue */
export async function getElectricParValue(options?: API.RequestConfig) {
  return request<API.ElectricParValueResponse>('/api/LifePay/GetElectricParValue', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取订单分页数据 POST /api/LifePay/GetLifePayOrderPage */
export async function getLifePayOrderPage(
  body: API.QueryLifePayOrderListInput,
  options?: API.RequestConfig
) {
  return request<API.LifePayOrderListOutputPageOutput>('/api/LifePay/GetLifePayOrderPage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据订单号获取支付状态 GET /api/LifePay/GetPayStatusByOrderNo */
export async function getPayStatusByOrderNo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetPayStatusByOrderNoParams,
  options?: API.RequestConfig
) {
  return request<API.LifePayStatusEnum>('/api/LifePay/GetPayStatusByOrderNo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取话费面值 GET /api/LifePay/GetPhoneParValue */
export async function getPhoneParValue(options?: API.RequestConfig) {
  return request<API.PhoneParValueResponse>('/api/LifePay/GetPhoneParValue', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取折扣 GET /api/LifePay/GetRate */
export async function getRate(options?: API.RequestConfig) {
  return request<API.LifePayRateListOutput[]>('/api/LifePay/GetRate', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取我的订单分页数据 POST /api/LifePay/GetUserLifePayOrderPage */
export async function getUserLifePayOrderPage(
  body: API.QueryLifePayOrderListInput,
  options?: API.RequestConfig
) {
  return request<API.UserLifePayOrderOutputPageOutput>('/api/LifePay/GetUserLifePayOrderPage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取用户分页数据 POST /api/LifePay/GetUserPage */
export async function getUserPage(body: API.PageInput, options?: API.RequestConfig) {
  return request<API.UserListOutputPageOutput>('/api/LifePay/GetUserPage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 退款生活缴费订单 POST /api/LifePay/RefundLifePayOrder */
export async function refundLifePayOrder(
  body: API.RefundLifePayOrderInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/LifePay/RefundLifePayOrder', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置生活缴费支付类型 POST /api/LifePay/SetLifePayOrderPayType */
export async function setLifePayOrderPayType(
  body: API.SetLifePayOrderPayTypeInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/LifePay/SetLifePayOrderPayType', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
